#!/usr/bin/ksh

USAGE="USAGE: bibcat_role.ksh"

if (( $# !=0 ))
then
  print $USAGE
  exit 1
fi

cat <<EOL

/**************************************************
 This script creates the DDL to grant insert/update
 permissions on the tables in ddl_finale_tables
 to run bibcat gui
 **************************************************/

use master
go
create role bibcat_role
go

/* axafapstat */
use bibcodes
go

grant select on bibcodes to bibcat_role
go
grant select on bibcodes_main to bibcat_role
go
grant insert on bibcodes to bibcat_role
go
grant insert on bibcodes_main to bibcat_role
go
grant update on bibcodes to bibcat_role
go
grant update on bibcodes_main to bibcat_role
go
grant delete on bibcodes to bibcat_role
go
grant delete on bibcodes_main to bibcat_role
go
grant select on bib_def to bibcat_role
go
grant select on pub_url to bibcat_role
go
grant update on pub_url to bibcat_role
go
grant insert on pub_url to bibcat_role
go
grant delete on pub_url to bibcat_role
go
grant select on bib2set to bibcat_role
go
grant update on bib2set to bibcat_role
go
grant insert on bib2set to bibcat_role
go
grant delete on bib2set to bibcat_role
go
grant select on datasets to bibcat_role
go
grant insert on datasets to bibcat_role
go
grant update on datasets to bibcat_role
go
grant delete on datasets to bibcat_role
go
grant select on bib2keyword to bibcat_role
go
grant insert on bib2keyword to bibcat_role
go
grant update on bib2keyword to bibcat_role
go
grant delete on bib2keyword to bibcat_role
go
grant select on std_keywords to bibcat_role
go
grant insert on std_keywords to bibcat_role
go
grant update on std_keywords to bibcat_role
go
grant delete on std_keywords to bibcat_role
go
grant select on stdkwd_links to bibcat_role
go
grant insert on stdkwd_links to bibcat_role
go
grant update on stdkwd_links to bibcat_role
go
grant delete on stdkwd_links to bibcat_role
go
grant select on std_categories to bibcat_role
go
grant insert on std_categories to bibcat_role
go
grant update on std_categories to bibcat_role
go
grant delete on std_categories to bibcat_role
go
grant insert on bibstats to bibcat_role
go
grant update on bibstats to bibcat_role
go
grant delete on bibstats to bibcat_role
go
 

/* axafocat */
use axafocat
go
grant select on target to bibcat_role
go
grant select on prop_info to bibcat_role
go

/* axafusers */
use axafusers
go
grant select on person_short to bibcat_role
go
EOL
